Package ru.bitel.bgbilling.kernel.customer.common.bean

# Class CustomerEmployee.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.customer.common.bean.CustomerEmployee.Builder

Enclosing class:
  `CustomerEmployee`

public static class CustomerEmployee.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomerEmployee`
  `build()`
  `CustomerEmployee.Builder`
  `setAddress(String address)`
  `CustomerEmployee.Builder`
  `setBirthday(LocalDate birthday)`
  `CustomerEmployee.Builder`
  `setComment(String comment)`
  `CustomerEmployee.Builder`
  `setCustomerId(int customerId)`
  `CustomerEmployee.Builder`
  `setDateFrom(LocalDate dateFrom)`
  `CustomerEmployee.Builder`
  `setDateTo(LocalDate dateTo)`
  `CustomerEmployee.Builder`
  `setDocumentNumber(String documentNumber)`
  `CustomerEmployee.Builder`
  `setDocumentSerial(String documentSerial)`
  `CustomerEmployee.Builder`
  `setDocumentWhenGive(LocalDate whenGive)`
  `CustomerEmployee.Builder`
  `setDocumentWhoGive(String whoGive)`
  `CustomerEmployee.Builder`
  `setEmail(String email)`
  `CustomerEmployee.Builder`
  `setFio(String fio)`
  `CustomerEmployee.Builder`
  `setMobile(String mobile)`
  `CustomerEmployee.Builder`
  `setPhone(String phone)`
  `CustomerEmployee.Builder`
  `setPosition(String post)`
  `CustomerEmployee.Builder`
  `setUuid(String uuid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setCustomerId

    public CustomerEmployee.Builder setCustomerId(int customerId)

  - ### setUuid

    public CustomerEmployee.Builder setUuid(String uuid)

  - ### setPosition

    public CustomerEmployee.Builder setPosition(String post)

  - ### setFio

    public CustomerEmployee.Builder setFio(String fio)

  - ### setPhone

    public CustomerEmployee.Builder setPhone(String phone)

  - ### setMobile

    public CustomerEmployee.Builder setMobile(String mobile)

  - ### setEmail

    public CustomerEmployee.Builder setEmail(String email)

  - ### setComment

    public CustomerEmployee.Builder setComment(String comment)

  - ### setBirthday

    public CustomerEmployee.Builder setBirthday(LocalDate birthday)

  - ### setAddress

    public CustomerEmployee.Builder setAddress(String address)

  - ### setDocumentSerial

    public CustomerEmployee.Builder setDocumentSerial(String documentSerial)

  - ### setDocumentNumber

    public CustomerEmployee.Builder setDocumentNumber(String documentNumber)

  - ### setDocumentWhoGive

    public CustomerEmployee.Builder setDocumentWhoGive(String whoGive)

  - ### setDocumentWhenGive

    public CustomerEmployee.Builder setDocumentWhenGive(LocalDate whenGive)

  - ### setDateFrom

    public CustomerEmployee.Builder setDateFrom(LocalDate dateFrom)

  - ### setDateTo

    public CustomerEmployee.Builder setDateTo(LocalDate dateTo)

  - ### build

    public CustomerEmployee build()